Package org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.FunctionEvaluationValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionEvaluationValueElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Keyword` | `getEvalKeyword_0()` |
    `org.eclipse.xtext.Assignment` | `getExpressionAssignment_3()` |
    `org.eclipse.xtext.RuleCall` | `getExpressionXExpressionParserRuleCall_3_0()` |
    `org.eclipse.xtext.Group` | `getGroup()` |
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_2()` |
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_4()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |
    `org.eclipse.xtext.Assignment` | `getUnwindAssignment_1()` |
    `org.eclipse.xtext.Keyword` | `getUnwindUnwindKeyword_1_0()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionEvaluationValueElements

          public FunctionEvaluationValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getEvalKeyword_0

          public org.eclipse.xtext.Keyword getEvalKeyword_0()

    - #### getUnwindAssignment_1

          public org.eclipse.xtext.Assignment getUnwindAssignment_1()

    - #### getUnwindUnwindKeyword_1_0

          public org.eclipse.xtext.Keyword getUnwindUnwindKeyword_1_0()

    - #### getLeftParenthesisKeyword_2

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_2()

    - #### getExpressionAssignment_3

          public org.eclipse.xtext.Assignment getExpressionAssignment_3()

    - #### getExpressionXExpressionParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getExpressionXExpressionParserRuleCall_3_0()

    - #### getRightParenthesisKeyword_4

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_4()